com.thinkaurelius.titan.graphdb.internal

## Class ElementLifeCycle

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.internal.ElementLifeCycle

-     public class ElementLifeCycle
      extends Object

  ElementLifeCycle enumerates all possible states of the lifecycle of a entity.
  Author:
    Matthias Broecheler (me@matthiasb.com);

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ElementLifeCycle.Event`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `Loaded` The entity has been loaded from the database and has not changed after initial loading.
    `static byte` | `New` The entity has been newly created and not yet persisted.
    `static byte` | `Removed` The entity has been deleted but not yet erased from the database.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementLifeCycle()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `hasAddedRelations(byte lifecycle)`
    `static boolean` | `hasRemovedRelations(byte lifecycle)`
    `static boolean` | `isLoaded(byte lifecycle)`
    `static boolean` | `isModified(byte lifecycle)`
    `static boolean` | `isNew(byte lifecycle)`
    `static boolean` | `isRemoved(byte lifecycle)`
    `static boolean` | `isValid(byte lifecycle)`
    `static byte` | `update(byte lifecycle, ElementLifeCycle.Event event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### New

          public static final byte New

      The entity has been newly created and not yet persisted.
      See Also:
        Constant Field Values

    - #### Loaded

          public static final byte Loaded

      The entity has been loaded from the database and has not changed after initial loading.
      See Also:
        Constant Field Values

    - #### Removed

          public static final byte Removed

      The entity has been deleted but not yet erased from the database.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ElementLifeCycle

          public ElementLifeCycle()

  - ### Method Detail

    - #### isModified

          public static final boolean isModified(byte lifecycle)

    - #### hasRemovedRelations

          public static final boolean hasRemovedRelations(byte lifecycle)

    - #### hasAddedRelations

          public static final boolean hasAddedRelations(byte lifecycle)

    - #### isNew

          public static final boolean isNew(byte lifecycle)

    - #### isLoaded

          public static final boolean isLoaded(byte lifecycle)

    - #### isRemoved

          public static final boolean isRemoved(byte lifecycle)

    - #### isValid

          public static boolean isValid(byte lifecycle)

    - #### update

          public static final byte update(byte lifecycle,
                    ElementLifeCycle.Event event)

Copyright © 2012–2014. All rights reserved.